Subject: bug#13527: 24.2.92 + 24.2.93; Spawning child process: resource temporarily unavailable

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Feb 2013 18:17:29 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 12 Feb 2013 10:21:49 +0100
> 
> > If the problem _always_ happens when you save that Org buffer, then it
> > would be best to attach GDB to Emacs before you try saving the buffer,
> > and also set a breakpoint in spawnve.
> >
> >> But I can already "positively" tell you that this "spawning child process"
> >> error is something *new in 24.2.92* -- I reused 24.2.91 for a couple of days
> >> with no problem; using 24.2.92, I got stopped only after a couple of hours.
> >
> > Could be a side effect of bugfixes in this area that were done between
> > these two versions.
> 
> I'm sorry to tell you that the problem still occurs with Emacs 24.2.93:

Little wonder, as nothing was done with this problem since 24.2.92.

You are the only user who sees this problem.  If we want to have any
chances of solving it before 24.3 is released, we must cut down on the
response time.  I last heard from you 3 weeks ago.

> After a couple of hours, Emacs is unusable; I must restart it to be able to
> send emails, or to get list of files returned by Helm. That is, the problem
> seems to be related to communication with external processes.

Subprocesses and communications are handled by the same
infrastructure, so this is not surprising, either.

> BTW, I think that the 2 following problems:
> 
> - bug#13527: Spawning child process: resource temporarily unavailable
> - bug#13546: Error(s) when sending emails
> 
> are just 2 sides of the same coin.

Quite possibly.